Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.source
Class SourceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.ohf.ihe.xds.source.SourceException

All Implemented Interfaces:
  java.io.Serializable

    public class SourceException

extends java.lang.Exception

Exception class for XDS Source Actor implementation

Since:
  OHF v0.0
Author:
  Glenn Deen
See Also:
  Serialized Form

Field Summary
`static int` | `AUDIT_ERROR` The IHE XDS Auditor Service returned an error.
`static int` | `DOCUMENT_ENTRY_MISSING_PATIENT_ID` A document in the submission is missing a PatientID entry in its metadata.
`static int` | `MESSAGING_ERROR` The SOAP message to the Repository returned a SOAP error.
`static int` | `REGISTRY_REJECTED_METADATA` Documents stored to repository successfully but an error occurred in storing the metadata to the registry Trigger Event output error from IHE XDS Provide and Register Document Set transaction.
`static int` | `REGISTRY_RESPONSE_USED_UNKNOWN_NAMESPACE` The namespace referenced by the ebXML response from the registry was not recognized.
`static int` | `REPOSITORY_REJECTED_DOCUMENTS` Documents were not successfully stored to the repository Trigger Event output error from IHE XDS Provide and Register Document Set transaction.
`static int` | `REPOSITORY_RESPONSE_NOT_UNDERSTOOD` The response message from the Repository could not be interpreted.
`static int` | `REPOSITORY_UNAVAILABLE` The Respository response indicated it was unavailble.
`static int` | `TERMINOLOGY_SERVICE_ERROR` The Terminology Service returned an error.
`static int` | `XDS_REPOSITORY_UNDEFINED` The URL to the XDS Repository has not been defined.

Constructor Summary
`SourceException(int reason)` Create a new exception
`SourceException(int reason, java.lang.String message)` Create a new exception
`SourceException(int reason, java.lang.String message, java.lang.Throwable cause)`

Method Summary
`int` | `getReason()` Get the reason code for the exception

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REGISTRY_REJECTED_METADATA

    public static final int REGISTRY_REJECTED_METADATA

  Documents stored to repository successfully but an error occurred in storing the metadata to the registry Trigger Event output error from IHE XDS Provide and Register Document Set transaction. See IHE XDS section 3.15.4.2.1

  See Also:
    Constant Field Values

### REPOSITORY_REJECTED_DOCUMENTS

    public static final int REPOSITORY_REJECTED_DOCUMENTS

  Documents were not successfully stored to the repository Trigger Event output error from IHE XDS Provide and Register Document Set transaction. See IHE XDS section 3.15.4.2.1

  See Also:
    Constant Field Values

### XDS_REPOSITORY_UNDEFINED

    public static final int XDS_REPOSITORY_UNDEFINED

  The URL to the XDS Repository has not been defined.

  See Also:
    Constant Field Values

### REPOSITORY_RESPONSE_NOT_UNDERSTOOD

    public static final int REPOSITORY_RESPONSE_NOT_UNDERSTOOD

  The response message from the Repository could not be interpreted.

  See Also:
    Constant Field Values

### REPOSITORY_UNAVAILABLE

    public static final int REPOSITORY_UNAVAILABLE

  The Respository response indicated it was unavailble.

  See Also:
    Constant Field Values

### REGISTRY_RESPONSE_USED_UNKNOWN_NAMESPACE

    public static final int REGISTRY_RESPONSE_USED_UNKNOWN_NAMESPACE

  The namespace referenced by the ebXML response from the registry was not recognized. Only ebXML 2.1 and ebXML 3.0 responses are understood.

  See Also:
    Constant Field Values

### MESSAGING_ERROR

    public static final int MESSAGING_ERROR

  The SOAP message to the Repository returned a SOAP error. The original error will be imbedded in the SourceExceptions exception chain.

  See Also:
    Constant Field Values

### TERMINOLOGY_SERVICE_ERROR

    public static final int TERMINOLOGY_SERVICE_ERROR

  The Terminology Service returned an error. The original error will be imbedded it the exception chain.

  See Also:
    Constant Field Values

### AUDIT_ERROR

    public static final int AUDIT_ERROR

  The IHE XDS Auditor Service returned an error. The original error will be imbedded it the exception chain.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_MISSING_PATIENT_ID

    public static final int DOCUMENT_ENTRY_MISSING_PATIENT_ID

  A document in the submission is missing a PatientID entry in its metadata.

  See Also:
    Constant Field Values

Constructor Detail

### SourceException

    public SourceException(int reason)

  Create a new exception

  Parameters:
    `reason` - Reason code for the exception, one of the int reason constants: REGISTRY_REJECTED_METADATA, REPOSITORY_REJECTED_DOCUMENTS

### SourceException

    public SourceException(int reason,
                           java.lang.String message)

  Create a new exception

  Parameters:
    `reason` - Reason code for the exception, one of the int reason constants: REGISTRY_REJECTED_METADATA, REPOSITORY_REJECTED_DOCUMENTS
    `message` - String indicating the reason for the exception

### SourceException

    public SourceException(int reason,
                           java.lang.String message,
                           java.lang.Throwable cause)

Parameters:
  `reason` - Reason code for the exception, one of the int reason constants: REGISTRY_REJECTED_METADATA, REPOSITORY_REJECTED_DOCUMENTS
  `message` - String indicating the reason for the exception
  `cause` - Throwable exception which caused the exception

Method Detail

### getReason

    public int getReason()

  Get the reason code for the exception

  Returns:
    int reason code - see error code constants

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD